## org.apache.log4j.spi
Interface AppenderAttachable

All Known Implementing Classes:
  AppenderAttachableImpl, AsyncAppender, Category, Logger, NOPLogger, RootCategory, RootLogger

    public interface AppenderAttachable

Interface for attaching appenders to objects.

Since:
  0.9.1
Author:
  Ceki Gülcü

Method Summary
`void` `addAppender(Appender newAppender)` Add an appender.
`java.util.Enumeration` `getAllAppenders()` Get all previously added appenders as an Enumeration.
`Appender` `getAppender(java.lang.String name)` Get an appender by name.
`boolean` `isAttached(Appender appender)` Returns `true` if the specified appender is in list of attached attached, `false` otherwise.
`void` `removeAllAppenders()` Remove all previously added appenders.
`void` `removeAppender(Appender appender)` Remove the appender passed as parameter from the list of appenders.
`void` `removeAppender(java.lang.String name)` Remove the appender with the name passed as parameter from the list of appenders.

Method Detail

### addAppender

    void addAppender(Appender newAppender)

  Add an appender.

### getAllAppenders

    java.util.Enumeration getAllAppenders()

  Get all previously added appenders as an Enumeration.

### getAppender

    Appender getAppender(java.lang.String name)

  Get an appender by name.

### isAttached

    boolean isAttached(Appender appender)

  Returns `true` if the specified appender is in list of attached attached, `false` otherwise.

  Since:
    1.2

### removeAllAppenders

    void removeAllAppenders()

  Remove all previously added appenders.

### removeAppender

    void removeAppender(Appender appender)

  Remove the appender passed as parameter from the list of appenders.

### removeAppender

    void removeAppender(java.lang.String name)

  Remove the appender with the name passed as parameter from the list of appenders.

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.